----| AI起動用 |----------------------------------------------------------
[Command]
name = "CPU_01"
command = ~U,U,U,U,U,U,U,U,U,U,x
time = 0

[Command]
name = "CPU_02"
command = ~U,U,U,U,U,U,U,U,U,U,y
time = 0

[Command]
name = "CPU_03"
command = ~U,U,U,U,U,U,U,U,U,U,z
time = 0

[Command]
name = "CPU_04"
command = ~U,U,U,U,U,U,U,U,U,U,a
time = 0

[Command]
name = "CPU_05"
command = ~U,U,U,U,U,U,U,U,U,U,b
time = 0

[Command]
name = "CPU_06"
command = ~U,U,U,U,U,U,U,U,U,U,c
time = 0

[Command]
name = "CPU_07"
command = ~U,U,U,U,U,U,U,U,U,U,x+y
time = 0

[Command]
name = "CPU_08"
command = ~U,U,U,U,U,U,U,U,U,U,y+z
time = 0

[Command]
name = "CPU_09"
command = ~U,U,U,U,U,U,U,U,U,U,z+y
time = 0

[Command]
name = "CPU_10"
command = ~U,U,U,U,U,U,U,U,U,U,a+b
time = 0

[Command]
name = "CPU_11"
command = ~U,U,U,U,U,U,U,U,U,U,b+c
time = 0

[Command]
name = "CPU_12"
command = ~U,U,U,U,U,U,U,U,U,U,c+a
time = 0

[Command]
name = "CPU_13"
command = ~U,U,U,U,U,U,U,U,U,U,z+c
time = 0

[Command]
name = "CPU_14"
command = ~U,U,U,U,U,U,U,U,U,U,x+y+z
time = 0

[Command]
name = "CPU_15"
command = ~U,U,U,U,U,U,U,U,U,U,a+b+c
time = 0

[Command]
name = "CPU_16"
command = ~D,D,D,D,D,D,D,D,D,D,x
time = 0

[Command]
name = "CPU_17"
command = ~D,D,D,D,D,D,D,D,D,D,y
time = 0

[Command]
name = "CPU_18"
command = ~D,D,D,D,D,D,D,D,D,D,z
time = 0

[Command]
name = "CPU_19"
command = ~D,D,D,D,D,D,D,D,D,D,a
time = 0

[Command]
name = "CPU_20"
command = ~D,D,D,D,D,D,D,D,D,D,b
time = 0

[Command]
name = "CPU_21"
command = ~D,D,D,D,D,D,D,D,D,D,c
time = 0

[Command]
name = "CPU_22"
command = ~D,D,D,D,D,D,D,D,D,D,x+y
time = 0

[Command]
name = "CPU_23"
command = ~D,D,D,D,D,D,D,D,D,D,y+z
time = 0

[Command]
name = "CPU_24"
command = ~D,D,D,D,D,D,D,D,D,D,z+y
time = 0

[Command]
name = "CPU_25"
command = ~D,D,D,D,D,D,D,D,D,D,a+b
time = 0

[Command]
name = "CPU_26"
command = ~D,D,D,D,D,D,D,D,D,D,b+c
time = 0

[Command]
name = "CPU_27"
command = ~D,D,D,D,D,D,D,D,D,D,c+a
time = 0

[Command]
name = "CPU_28"
command = ~D,D,D,D,D,D,D,D,D,D,z+c
time = 0

[Command]
name = "CPU_29"
command = ~D,D,D,D,D,D,D,D,D,D,x+y+z
time = 0

[Command]
name = "CPU_30"
command = ~D,D,D,D,D,D,D,D,D,D,a+b+c
time = 0

[Command]
name = "CPU_31"
command = ~F,F,F,F,F,F,F,F,F,F,x
time = 0

[Command]
name = "CPU_32"
command = ~F,F,F,F,F,F,F,F,F,F,y
time = 0

[Command]
name = "CPU_33"
command = ~F,F,F,F,F,F,F,F,F,F,z
time = 0

[Command]
name = "CPU_34"
command = ~F,F,F,F,F,F,F,F,F,F,a
time = 0

[Command]
name = "CPU_35"
command = ~F,F,F,F,F,F,F,F,F,F,b
time = 0

[Command]
name = "CPU_36"
command = ~F,F,F,F,F,F,F,F,F,F,c
time = 0

[Command]
name = "CPU_37"
command = ~F,F,F,F,F,F,F,F,F,F,x+y
time = 0

[Command]
name = "CPU_38"
command = ~F,F,F,F,F,F,F,F,F,F,y+z
time = 0

[Command]
name = "CPU_39"
command = ~F,F,F,F,F,F,F,F,F,F,z+y
time = 0

[Command]
name = "CPU_40"
command = ~F,F,F,F,F,F,F,F,F,F,a+b
time = 0

[Command]
name = "CPU_41"
command = ~F,F,F,F,F,F,F,F,F,F,b+c
time = 0

[Command]
name = "CPU_42"
command = ~F,F,F,F,F,F,F,F,F,F,c+a
time = 0

[Command]
name = "CPU_43"
command = ~F,F,F,F,F,F,F,F,F,F,z+c
time = 0

[Command]
name = "CPU_44"
command = ~F,F,F,F,F,F,F,F,F,F,x+y+z
time = 0

[Command]
name = "CPU_45"
command = ~F,F,F,F,F,F,F,F,F,F,a+b+c
time = 0

[Command]
name = "CPU_46"
command = ~B,B,B,B,B,B,B,B,B,B,x
time = 0

[Command]
name = "CPU_47"
command = ~B,B,B,B,B,B,B,B,B,B,y
time = 0

[Command]
name = "CPU_48"
command = ~B,B,B,B,B,B,B,B,B,B,z
time = 0

[Command]
name = "CPU_49"
command = ~B,B,B,B,B,B,B,B,B,B,a
time = 0

[Command]
name = "CPU_50"
command = ~B,B,B,B,B,B,B,B,B,B,b
time = 0

[Command]
name = "CPU_51"
command = ~B,B,B,B,B,B,B,B,B,B,c
time = 0

[Command]
name = "CPU_52"
command = ~B,B,B,B,B,B,B,B,B,B,x+y
time = 0

[Command]
name = "CPU_53"
command = ~B,B,B,B,B,B,B,B,B,B,y+z
time = 0

[Command]
name = "CPU_54"
command = ~B,B,B,B,B,B,B,B,B,B,z+y
time = 0

[Command]
name = "CPU_55"
command = ~B,B,B,B,B,B,B,B,B,B,a+b
time = 0

[Command]
name = "CPU_56"
command = ~B,B,B,B,B,B,B,B,B,B,b+c
time = 0

[Command]
name = "CPU_57"
command = ~B,B,B,B,B,B,B,B,B,B,c+a
time = 0

[Command]
name = "CPU_58"
command = ~B,B,B,B,B,B,B,B,B,B,z+c
time = 0

[Command]
name = "CPU_59"
command = ~B,B,B,B,B,B,B,B,B,B,x+y+z
time = 0

[Command]
name = "CPU_60"
command = ~B,B,B,B,B,B,B,B,B,B,a+b+c
time = 0

----| 超必殺技 |--------------------------------------------------------
[Command]
name = "45D_U_y"
command = ~45$D, $U, y
time = 20

[Command]
name = "D_DB_B_DB_D_DF_F_y"
command = ~D, DB, B, DB, D, DF, F, y
time = 50

[Command]
name = "D_DF_F_D_DF_F_y"
command = ~D, DF, F, D, DF, F, y
time = 30

[Command]
name = "D_DF_F_D_DF_F_x"
command = ~D, DF, F, D, DF, F, x
time = 30

[Command]
name = "D_DF_F_D_DF_F_b"
command = ~D, DF, F, D, DF, F, b
time = 30

----| 必殺技 |------------------------------------------------------------

[Command]
name = "D_DF_F_x"
command = ~D, DF, F, x
time = 10

[Command]
name = "D_DB_B_a"
command = ~D, DB, B, a

[Command]
name = "F_D_DF_y"
command = ~F, D, DF, y

[Command]
name = "D_DB_B_y"
command = ~D, DB, B, y

[Command]
name = "D_DF_F_y"
command = ~D, DF, F, y

[Command]
name = "30B_F_y"
command = ~30$B, F, y

[Command]
name = "D_D_b"
command = ~D, D, b

;-| ２回押し技 |---------------------------------------------------------
[Command]
name = "FF"     
command = F, F
time = 10

[Command]
name = "BB"     
command = B, B
time = 10

;-| ２・３個の同時押し技 |-----------------------------------------------
[Command]
name = "recovery"
command = x+a
time = 1

;-| 方向とボタンで出す技 |---------------------------------------------------------

[Command]
name = "longjump"
command = D, $U

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "/DF,y"
command = /DF,y
time = 1

[Command]
name = "/DF,a"
command = /DF,a
time = 1


;-| ボタン設定（いじらない）|---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[command]
name = "fwd"
command = F
time = 1

[command]
name = "back"
command = B
time = 1

[command]
name = "up"
command = U
time = 1

[command]
name = "down"
command = D
time = 1

;-| 押しっぱなし設定（いじらない）-------------------------------------------------------
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup" 
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1


[Statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
;
[State -1]
Type = ChangeState
Value = 2400
TriggerAll = Var(59) <= 0
TriggerAll = Command = "45D_U_y"
TriggerAll = Power >= 3000
Trigger1 = StateType != A
Trigger1 = Ctrl || StateNo = 40
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;アルティメットセイバー改
[State -1]
Type = ChangeState
Value = 2300
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DB_B_DB_D_DF_F_y"
TriggerAll = Power >= 2000
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;チャージナックル
[State -1]
Type = ChangeState
Value = 2200
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_D_DF_F_b"
TriggerAll = Power >= 1000
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact

;---------------------------------------------------------------------------
;チャージセイバー
[State -1]
Type = ChangeState
Value = 2100
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_D_DF_F_y"
TriggerAll = Power >= 1000
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;スパイラルショット
[State -1]
Type = ChangeState
Value = 2000
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_D_DF_F_x"
TriggerAll = Power >= 1000
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact

;===========================================================================
;---------------------------------------------------------------------------
;ナックル
[State -1]
Type = ChangeState
Value = 1700
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_D_b"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 415 && MoveContact
Trigger9 = StateNo = 420 && MoveContact
Trigger10 = StateNo = 430 && MoveContact

;---------------------------------------------------------------------------
;烈風撃
[State -1]
Type = ChangeState
Value = 1600
TriggerAll = Var(59) <= 0
TriggerAll = Command = "30B_F_y"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;落砕牙
[State -1]
Type = ChangeState
Value = 1500
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_y"
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact
Trigger3 = StateNo = 610 && MoveContact
Trigger4 = StateNo = 620 && MoveContact
Trigger5 = StateNo = 630 && MoveContact

;---------------------------------------------------------------------------
;斬鋭弾
[State -1]
Type = ChangeState
Value = 1400
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_y"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;天裂刃
[State -1]
type = ChangeState
value = 1300
TriggerAll = Var(59) <= 0
TriggerAll = Command = "F_D_DF_y"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;三段斬り
[State -1]
Type = ChangeState
Value = 1200
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DB_B_y"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact
Trigger9 = StateNo = 1100 && Time >= 15

;---------------------------------------------------------------------------
;ダッシュ
[State -1]
Type = ChangeState
Value = 1100
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DB_B_a"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact

;---------------------------------------------------------------------------
;バスターショット(空中)
[State -1]
Type = ChangeState
Value = 1010
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_x"
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact
Trigger3 = StateNo = 610 && MoveContact
Trigger4 = StateNo = 620 && MoveContact
Trigger5 = StateNo = 630 && MoveContact

;---------------------------------------------------------------------------
;バスターショット
[State -1]
Type = ChangeState
Value = 1000
TriggerAll = Var(59) <= 0
TriggerAll = Command = "D_DF_F_x"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact
Trigger5 = StateNo = 230 && MoveContact
Trigger6 = StateNo = 400 && MoveContact
Trigger7 = StateNo = 410 && MoveContact
Trigger8 = StateNo = 420 && MoveContact

;===========================================================================
;---------------------------------------------------------------------------
;挑発
[State -1]
Type = ChangeState
Value = 195
TriggerAll = Var(59) <= 0
TriggerAll = Command = "start"
Trigger1 = StateType != A
Trigger1 = Ctrl

;---------------------------------------------------------------------------
;フロントステップ
[State -1]
Type = ChangeState
Value = 100
TriggerAll = Var(59) <= 0
TriggerAll = Command = "FF"
Trigger1 = StateType = S
Trigger1 = Ctrl

;---------------------------------------------------------------------------
;バックステップ
[State -1]
Type = ChangeState
Value = 105
TriggerAll = Var(59) <= 0
TriggerAll = Command = "BB"
Trigger1 = StateType = S
Trigger1 = Ctrl

;---------------------------------------------------------------------------
;投げ(空中)
[State -1]
Type = null;ChangeState
Value = 730
TriggerAll = Command = "b"
Trigger1 = StateType = A
Trigger1 = Ctrl

;---------------------------------------------------------------------------
;投げ
[State -1]
Type = ChangeState
Value = 700
TriggerAll = Var(59) <= 0
TriggerAll = Command = "b"
Trigger1 = StateType != A
Trigger1 = Ctrl

;---------------------------------------------------------------------------
;切り上げ
[State -1]
Type = ChangeState
Value = 230
TriggerAll = Var(59) <= 0
TriggerAll = Command = "fwd_y"
TriggerAll = Command != "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 220 && MoveContact

;---------------------------------------------------------------------------
;足払い
[State -1]
Type = ChangeState
Value = 430
TriggerAll = Var(59) <= 0
TriggerAll = Command = "/DF,y"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 400 && MoveContact
Trigger5 = StateNo = 410 && MoveContact
Trigger6 = StateNo = 415 && MoveContact

;---------------------------------------------------------------------------
;空中下切り
[State -1]
Type = ChangeState
Value = 630
TriggerAll = Var(59) <= 0
TriggerAll = Command = "down_y"
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact
Trigger3 = StateNo = 610 && MoveContact
Trigger4 = StateNo = 620 && MoveContact

;---------------------------------------------------------------------------
;スライディング
[State -1]
Type = ChangeState
Value = 415
TriggerAll = Var(59) <= 0
TriggerAll = Command = "/DF,a"
Trigger1 = StateType != A
Trigger1 = Ctrl

;---------------------------------------------------------------------------
;立ちパンチ
[State -1]
Type = ChangeState
Value = 200
TriggerAll = Var(59) <= 0
TriggerAll = Command = "x"
TriggerAll = Command != "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 400 && MoveContact

;---------------------------------------------------------------------------
;立ちキック
[State -1]
Type = ChangeState
Value = 210
TriggerAll = Var(59) <= 0
TriggerAll = Command = "a"
TriggerAll = Command != "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact

;---------------------------------------------------------------------------
;立ち切り
[State -1]
Type = ChangeState
Value = 220
TriggerAll = Var(59) <= 0
TriggerAll = Command = "y"
TriggerAll = Command != "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 400 && MoveContact
Trigger5 = StateNo = 410 && MoveContact
Trigger6 = StateNo = 420 && MoveContact && PrevStateNo != 220

;---------------------------------------------------------------------------
;しゃがみパンチ
[State -1]
Type = ChangeState
Value = 400
TriggerAll = Var(59) <= 0
TriggerAll = Command = "x"
TriggerAll = Command = "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 400 && MoveContact

;---------------------------------------------------------------------------
;しゃがみキック
[State -1]
Type = ChangeState
Value = 410
TriggerAll = Var(59) <= 0
TriggerAll = Command = "a"
TriggerAll = Command = "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger4 = StateNo = 400 && MoveContact
Trigger5 = StateNo = 410 && MoveContact

;---------------------------------------------------------------------------
;しゃがみ切り
[State -1]
Type = ChangeState
Value = 420
TriggerAll = Var(59) <= 0
TriggerAll = Command = "y"
TriggerAll = Command = "holddown"
Trigger1 = StateType != A
Trigger1 = Ctrl
Trigger2 = StateNo = 200 && MoveContact
Trigger3 = StateNo = 210 && MoveContact
Trigger6 = StateNo = 220 && MoveContact && PrevStateNo != 420
Trigger4 = StateNo = 400 && MoveContact
Trigger5 = StateNo = 410 && MoveContact

;---------------------------------------------------------------------------
;空中パンチ
[State -1]
Type = ChangeState
Value = 600
TriggerAll = Var(59) <= 0
TriggerAll = Command = "x"
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact

;---------------------------------------------------------------------------
;空中キック
[State -1]
Type = ChangeState
Value = 610
TriggerAll = Var(59) <= 0
TriggerAll = Command = "a"
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact

;---------------------------------------------------------------------------
;空中切り
[State -1]
Type = ChangeState
Value = 620
TriggerAll = Var(59) <= 0
TriggerAll = Command = "y"
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact
Trigger3 = StateNo = 610 && MoveContact

;空中切り(2段目)
[State -1]
Type = ChangeState
Value = 625
TriggerAll = Var(59) <= 0
TriggerAll = Command = "y"
Trigger1 = StateType = A
Trigger1 = StateNo = 620 && Time >= 8

;---------------------------------------------------------------------------
[State -1]
Type = ChangeState
Value = 40
TriggerAll = Var(59) <= 0
TriggerAll = Command = "holdup"
TriggerAll = StateType != A
Trigger1 = StateNo = 200 && MoveContact
Trigger2 = StateNo = 210 && MoveContact
Trigger3 = StateNo = 220 && MoveContact
Trigger4 = StateNo = 230 && MoveContact
Trigger5 = StateNo = 420 && MoveContact

;---------------------------------------------------------------------------
[State -1]
Type = ChangeState
Value = 45
TriggerAll = Var(59) <= 0
TriggerAll = Command = "holdup"
TriggerAll = StateType = A
TriggerAll = Var(1) = [-1,1]
TriggerAll = Var(2) >= 1
Trigger1 = Ctrl && Var(2) = 2
Trigger1 = StateNo = 50 && Time >= 8
Trigger2 = StateNo = 600 && (MoveContact || Time >= 13)
Trigger3 = StateNo = 610 && (MoveContact || Time >= 18)
Trigger4 = StateNo = 620 && MoveContact
Trigger5 = StateNo = 1300 && MoveContact && Time >= 20









****以下AI用****************************************************************

;
[State -1]
Type = ChangeState
Value = 2400
TriggerAll = RoundState = 2
TriggerAll = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
TriggerAll = Var(59) >= 8
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = Power >= 3000
TriggerAll = StateType != A && EnemyNear,Time <= 12
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = [120,131]
TriggerAll = P2StateType != A || EnemyNear,Vel Y > 0
TriggerAll = P2BodyDist X >= 0 && Facing != EnemyNear,Facing || P2BodyDist X < 0 && Facing = EnemyNear,Facing
Trigger1 = P2BodyDist X < 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = EnemyNear,HitDefAttr = SCA,NA,NT,SA,ST,HA,HT
Trigger2 = P2StateNo = Var(14) || P2StateNo = Var(15)
Trigger2 = P2BodyDist X <= 30 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = P2StateNo = Var(14)*1 || P2StateNo = Var(15)*1
Trigger3 = P2BodyDist X <= 30 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger4 = P2StateNo = Var(16) || P2StateNo = Var(17) || P2StateNo = Var(18) || P2StateNo = Var(19)
Trigger4 = P2BodyDist X <= 45 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger5 = P2StateNo = Var(16)*1 || P2StateNo = Var(17)*1 || P2StateNo = Var(18)*1 || P2StateNo = Var(19)*1
Trigger5 = P2BodyDist X <= 45 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger6 = P2StateNo = Var(20) || P2StateNo = Var(21) || P2StateNo = Var(22) || P2StateNo = Var(23) || P2StateNo = Var(24)
Trigger6 = P2BodyDist X <= 90 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger7 = P2StateNo = Var(20)*-1 || P2StateNo = Var(21)*-1 || P2StateNo = Var(22)*-1 || P2StateNo = Var(23)*-1 || P2StateNo = Var(24)*-1
Trigger7 = P2BodyDist X <= 90 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger8 = P2StateNo = Var(9)*-1 || P2StateNo = Var(10)*-1 || P2StateNo = Var(11)*-1
Trigger8 = P2BodyDist X < 100 && (EnemyNear,Pos X - Pos X)*Facing > 0


[State -1,ChangeState]
Type = ChangeState
Value = IfElse(P2BodyDist X <= 20,400,410)
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
TriggerAll = StateType != A
TriggerAll = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger1 = P2StateNo = Helper(10000+id),Var(6)
Trigger1 = P2StateNo != 0
Trigger1 = EnemyNear,AnimTime < -4
Trigger1 = P2BodyDist X <= 45 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = EnemyNear,Vel X = 0
Trigger2 = P2StateNo = Helper(10000+id),Var(5)
Trigger2 = P2StateNo != 0
Trigger2 = Helper(10000+id),Var(6) = -1
Trigger2 = Helper(10000+id),Var(7) = 1
Trigger2 = EnemyNear,Time + EnemyNear,AnimTime >= 0
Trigger2 = EnemyNear,AnimTime < -4
Trigger2 = P2BodyDist X <= 45 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = EnemyNear,Vel X = 0

[State -1,ChangeState]
Type = ChangeState
Value = IfElse(P2BodyDist X <= 90 && EnemyNear,AnimTime < -6,220,1400)
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
TriggerAll = StateType != A
TriggerAll = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger1 = P2StateNo = Helper(10000+id),Var(6)
Trigger1 = P2StateNo != 0
Trigger1 = EnemyNear,AnimTime < -6
Trigger1 = P2BodyDist X = [45,90]
Trigger1 = EnemyNear,Vel X = 0
Trigger2 = P2StateNo = Helper(10000+id),Var(6)
Trigger2 = P2StateNo != 0
Trigger2 = P2BodyDist X = [91,150]
Trigger2 = EnemyNear,Vel X = 0
Trigger3 = P2StateNo = Helper(10000+id),Var(5)
Trigger3 = P2StateNo != 0
Trigger3 = Helper(10000+id),Var(6) = -1
Trigger3 = Helper(10000+id),Var(7) = 1
Trigger3 = EnemyNear,Time + EnemyNear,AnimTime >= 0
Trigger3 = EnemyNear,AnimTime <= -6
Trigger3 = P2BodyDist X = [45,90]
Trigger3 = EnemyNear,Vel X = 0
Trigger4 = P2StateNo = Helper(10000+id),Var(5)
Trigger4 = P2StateNo != 0
Trigger4 = Helper(10000+id),Var(6) = -1
Trigger4 = Helper(10000+id),Var(7) = 1
Trigger4 = EnemyNear,Time + EnemyNear,AnimTime >= 0
Trigger4 = P2BodyDist X = [91,150]
Trigger4 = EnemyNear,Vel X = 0


[State -1,ChangeState]
type = ChangeState
value = 1300
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(27)+Var(28) <= -2 || Enemy,TeamMode = Simul || Enemy,TeamMode = Turns
Trigger1 = Var(55) >= Helper(10000+id),Var(0)
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger1 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger1 = P2MoveType = A && EnemyNear,Time <= 8
Trigger1 = P2StateType != A || P2StateType = A && P2BodyDist X > 10 && EnemyNear,Vel Y > 0
Trigger1 = EnemyNear,Facing != Facing && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = P2BodyDist X <= 50+(Var(28)=-2)*25 && P2BodyDist Y = [-120,0]
Trigger1 = P2StateNo != Var(14) && P2StateNo != Var(15)
Trigger1 = P2StateNo != Var(16) && P2StateNo != Var(17) && P2StateNo != Var(18) && P2StateNo != Var(19)

[State -1,ChangeState]
Type = ChangeState
Value = 630
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateNo = [120,140]
TriggerAll = StateType = A
TriggerAll = Helper(10000+id),Var(11) > 0
TriggerAll = P2StateNo = Helper(10000+id),Var(11)
Trigger1 = EnemyNear,AnimTime < -12
Trigger1 = Pos Y > -130 && Vel Y > 0 && P2BodyDist X <= 110 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = !EnemyNear,AnimTime < -12
Trigger2 = Pos Y > -73 && Vel Y > 0

[State -1,ChangeState]
Type = ChangeState
Value = 200
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 11
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = 100 || (StateNo = [120,131]) || StateNo = 140 && EnemyNear,Time <= 1
TriggerAll = StateType != A && EnemyNear,Time <= 2
TriggerAll = P2BodyDist X <= 35 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = P2StateNo = Var(14) || P2StateNo = Var(15)

[State -1,ChangeState]
Type = ChangeState
Value = 410
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 11
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = 100 || (StateNo = [120,131]) || StateNo = 140 && EnemyNear,Time <= 1
TriggerAll = StateType != A && EnemyNear,Time <= 2
TriggerAll = P2BodyDist X <= 45 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = P2StateNo = Var(16) || P2StateNo = Var(17) || P2StateNo = Var(18) || P2StateNo = Var(19)
Trigger2 = P2StateNo = Var(20) || P2StateNo = Var(21) || P2StateNo = Var(22) || P2StateNo = Var(23) || P2StateNo = Var(24)

[State -1,ChangeState]
Type = ChangeState
Value = 220
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 11
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = 100 || (StateNo = [120,131]) || StateNo = 140 && EnemyNear,Time <= 1
TriggerAll = StateType != A && EnemyNear,Time <= 2
TriggerAll = P2BodyDist X <= 90 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = P2StateNo = Var(20) || P2StateNo = Var(21) || P2StateNo = Var(22) || P2StateNo = Var(23) || P2StateNo = Var(24)


;フロントステップ
[State -1,ChangeState]
Type = ChangeState
Value = 100
Ctrl = 0
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = Helper(20000+id),Var(12) = 1
Trigger1 = StateNo <= 20 || StateNo = 52
Trigger1 = P2BodyDist X > 35
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = Helper(20000+id),Var(13) = 2
Trigger2 = StateNo <= 20 || StateNo = 52
Trigger2 = EnemyNear,Anim = 1207
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = Helper(20000+id),Var(17) = [1,2]
Trigger3 = StateNo <= 12
Trigger3 = P2MoveType = H
Trigger4 = StateNo = 20
Trigger4 = P2MoveType != A && P2BodyDist X > 120
Trigger5 = StateNo = 0 && Time > 20
Trigger5 = P2MoveType = I && P2BodyDist X > 150
Trigger5 = EnemyNear,Vel X = 0
Trigger6 = Var(58) = 1
Trigger6 = StateNo = 0 && Time > 40
Trigger6 = P2MoveType = I && P2BodyDist X > 150
Trigger6 = EnemyNear,Vel X = 0
Trigger7 = Var(58) > Var(0)
Trigger7 = Var(59) >= Helper(20000+id),Var(0)
Trigger7 = Helper(10000+id),Var(4) = 1
Trigger7 = Helper(20000+id),Var(12) = 0
Trigger7 = Helper(20000+id),Var(13) = 0
Trigger7 = Var(27) <= -1 && Var(28) <= -1
Trigger7 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger7 = P2StateNo <= 105 || P2MoveType = I && EnemyNear,Vel X = 0 || Facing = EnemyNear,Facing
Trigger7 = P2BodyDist X <= 80 && (EnemyNear,Pos X - Pos X)*Facing > 0


;バックステップ
[State -1,ChangeState]
Type = ChangeState
value = 105
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = P2StateType = A && P2MoveType = A
Trigger1 = EnemyNear,Vel Y > 0 && P2BodyDist Y < 0
Trigger1 = EnemyNear,Vel X = 0 && P2Dist X = [-10,10]
Trigger2 = Helper(10000+id),Var(12) = 1
Trigger2 = P2MoveType = A && BackEdgeDist > 20
Trigger3 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger3 = Helper(20000+id),Var(1) = 2
Trigger3 = StateNo <= 20 || StateNo = 52
Trigger3 = P2StateType = S || P2StateType = C
Trigger3 = !InGuardDist && !Helper(20000+id),InGuardDist
Trigger3 = P2BodyDist X = [111,129]
Trigger3 = EnemyNear,Vel X >= 0 && P2MoveType != H && BackEdgeDist > 50
Trigger4 = Helper(20000+id),Var(12) = 0
Trigger4 = P2BodyDist X <= 30 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger4 = P2StateType = L && P2MoveType = H && BackEdgeDist > 50
Trigger5 = Helper(10000+id),Var(4) = 0
Trigger5 = Helper(20000+id),Var(12) = 0
Trigger5 = P2BodyDist X <= 30 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger5 = BackEdgeDist > 20
Trigger6 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger6 = Helper(10000+id),Var(10) >= 180
Trigger6 = BackEdgeDist > 20
Trigger7 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger7 = Helper(20000+id),Var(7) = 2
Trigger7 = StateNo = 20
Trigger7 = P2MoveType = I && EnemyNear,Vel X > 0
Trigger7 = BackEdgeDist > 20
Trigger8 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger8 = StateNo <= 20
Trigger8 = P2MoveType = I && P2StateType = A
Trigger8 = FrontEdgeDist < 30 && (EnemyNear,Pos X - Pos X)*Facing > 0


;ガード
[State -1,ChangeState]
Type = ChangeState
Value = 120
TriggerAll = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = P2StateNo != Var(9)*-1 && P2StateNo != Var(10)*-1 && P2StateNo != Var(11)*-1
TriggerAll = Helper(20000+id),Var(13) != 2
TriggerAll = StateNo <= 20 || StateNo = 100 || StateNo = 5210 && Time >= 20 || StateNo = [48,52]
TriggerAll = !EnemyNear,HitDefAttr = SCA,NT,ST,HT
Trigger1 = InGuardDist
Trigger2 = Helper(10000+id),InGuardDist
Trigger3 = Helper(20000+id),InGuardDist && P2StateType = A
IgnoreHitPause = 1

[State -1,ChangeState]
Type = ChangeState
Value = 120
TriggerAll = Enemy,TeamMode = Simul
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = Helper(20000+id),Var(13) != 2
TriggerAll = StateNo <= 20 || StateNo = 100 || StateNo = 5210 && Time >= 20 || StateNo = [48,52]
TriggerAll = !EnemyNear,HitDefAttr = SCA,NT,ST,HT
TriggerAll = InGuardDist
Trigger1 = Facing != EnemyNear,Facing
Trigger2 = Var(53) = -1
IgnoreHitPause = 1


;避けジャンプ
[State -1,ChangeState]
Type = ChangeState
value = 41
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Helper(20000+id),Var(0) <= 8
TriggerAll = StateType != A
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = P2MoveType = A
Trigger1 = P2BodyDist X > 150 && EnemyNear,Time <= 30
Trigger1 = Helper(10000+id),Var(11) > 0

[State -1,ChangeState]
Type = ChangeState
Value = 41
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Helper(20000+id),Var(1) = 2
Trigger1 = Var(26) >= -1 || Var(27)+Var(28) <= -3
Trigger1 = StateNo <= 20 || StateNo = 52
Trigger1 = P2StateType = S || P2StateType = C
Trigger1 = !InGuardDist && !Helper(20000+id),InGuardDist
Trigger1 = (P2BodyDist X = [100,110]) || P2BodyDist X = [130,150]
Trigger1 = EnemyNear,Vel X >= 0 && P2StateNo != 1136
Trigger2 = Helper(20000+id),Var(3) >= 1
Trigger2 = Var(26) >= -1
Trigger2 = StateNo = 220 || StateNo = 230
Trigger2 = MoveGuarded && P2StateType = S
Trigger3 = Helper(20000+id),Var(16) >= 1
Trigger3 = StateNo = 420 && MoveHit
Trigger3 = P2StateType = A && P2MoveType = H
Trigger4 = Helper(20000+id),Var(12) = 2
Trigger4 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger4 = P2StateType = L && P2MoveType = H
Trigger5 = Helper(20000+id),Var(17) = 1
Trigger5 = StateNo = 100 && Time > 10
Trigger5 = P2MoveType = H
Trigger6 = Helper(10000+id),Var(12) = 2
Trigger6 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger6 = P2MoveType = A
Trigger7 = Helper(20000+id),Var(12) = 0
Trigger7 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger7 = P2BodyDist X <= 30 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger7 = P2StateType = L && P2MoveType = H && BackEdgeDist <= 50


[State -1,ChangeState]
Type = ChangeState
Value = 45
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(2) >= 1
TriggerAll = StateType = A
Trigger1 = 0;Ctrl && Var(2) = 2
Trigger1 = StateNo = 50 && Time >= 8
Trigger2 = Helper(20000+id),Var(15) = 1
Trigger2 = StateNo = 1300 && MoveContact && Time >= 20
Trigger3 = Helper(20000+id),Var(16) >= 1
Trigger3 = StateNo = 620 && MoveHit
Trigger3 = P2StateType = A && P2MoveType = H


[State -1,ChangeState]
Type = ChangeState
Value = 20
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Helper(20000+id),Var(13) = 0
TriggerAll = Helper(20000+id),Var(17) = 0
TriggerAll = Helper(20000+id),Var(19) != 2
TriggerAll = StateType != A
Trigger1 = StateNo <= 12 || StateNo = 52
Trigger1 = Helper(20000+id),Var(1) = 1
Trigger1 = !InGuardDist && !Helper(10000+id),InGuardDist
Trigger2 = StateNo <= 12 || StateNo = 52
Trigger2 = Helper(20000+id),Var(1) = 3
Trigger2 = !InGuardDist && !Helper(10000+id),InGuardDist
Trigger2 = P2BodyDist X = [125,150]
Trigger3 = StateNo <= 12 || StateNo = 52
Trigger3 = Helper(20000+id),Var(7) != 0
Trigger3 = !InGuardDist && !Helper(10000+id),InGuardDist


[State -1,ChangeState]
Type = ChangeState
Value = 5210
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = Alive
TriggerAll = CanRecover
TriggerAll = StateNo = 5050
Trigger1 = P2MoveType = A && EnemyNear,AnimElem = 1
Trigger2 = P2BodyDist X > 150


;アルティメットセイバー改
[State -1]
Type = ChangeState
Value = 2300
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Power >= 2000
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = Life < 500 || EnemyNear,Life < 300 || P2BodyDist X > 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = StateNo = 220 && MoveHit = 1
Trigger1 = P2MoveType = H && P2StateNo != [120,155]
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = InGuardDist = 1
Trigger2 = StateNo = 200 || StateNo = 220 || StateNo = 400 || StateNo = 410
Trigger2 = MoveHit = 1 && P2MoveType = H && P2StateNo != [120,155]
Trigger3 = Enemy,TeamMode = Simul
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = Var(53) = 1
Trigger3 = StateNo = 200 || StateNo = 220 || StateNo = 400 || StateNo = 410
Trigger3 = MoveHit = 1 && P2MoveType = H && P2StateNo != [120,155]
Trigger4 = Helper(20000+id),Var(13) = 2
Trigger4 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger4 = EnemyNear,Anim = 1205
Trigger4 = P2BodyDist X <= 60 && P2BodyDist Y >= -80
Trigger5 = Var(59) >= 8
Trigger5 = Var(59) >= Helper(10000+id),Var(0)
Trigger5 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger5 = Helper(10000+id),Var(6) = -1
Trigger5 = Helper(10000+id),Var(7) = 1
Trigger5 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger5 = P2BodyDist X < 150 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger5 = EnemyNear,HitDefAttr = SC,NA
Trigger6 = Var(59) >= 8
Trigger6 = Var(59) >= Helper(10000+id),Var(0)
Trigger6 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger6 = P2StateNo = Helper(10000+id),Var(8)
Trigger6 = EnemyNear,AnimTime <= -15
Trigger6 = P2BodyDist X > 150
Trigger6 = EnemyNear,Vel X = 0
Trigger7 = Var(59) >= 8
Trigger7 = Var(59) >= Helper(10000+id),Var(0)
Trigger7 = P2StateNo = Var(9)*-1 || P2StateNo = Var(10)*-1 || P2StateNo = Var(11)*-1
Trigger7 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger7 = P2BodyDist X < 100 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger8 = Enemy,TeamMode = Simul
Trigger8 = Var(59) >= 8
Trigger8 = Var(59) >= Helper(10000+id),Var(0)
Trigger8 = Var(53) = 1
Trigger8 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger8 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger8 = P2StateType != A &&P2MoveType = A && EnemyNear,Time <= 5
Trigger8 = P2BodyDist X < 150 && (EnemyNear,Pos X - Pos X)*Facing > 0

;チャージナックル
[State -1]
Type = ChangeState
Value = 2200
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Power >= 1000
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = StateNo <= 20 && Random = [210,215]
Trigger1 = P2StateType != A && P2MoveType != H
Trigger1 = P2BodyDist X <= 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = StateNo = 220 && MoveHit = 1 && FrontEdgeBodyDist > 70
Trigger2 = P2BodyDist X < 40 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = P2MoveType = H && P2StateNo != [120,155]


;チャージセイバー
[State -1]
Type = ChangeState
Value = 2100
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Power >= 1000
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = StateNo <= 20 && Random = [200,205]
Trigger1 = P2StateType = A && P2MoveType != H
Trigger1 = P2BodyDist X <= 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = Helper(20000+id),Var(10) = 2
Trigger2 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger3 = Var(55) >= Helper(10000+id),Var(0)
Trigger3 = Var(59) >= 10
Trigger3 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger3 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger3 = P2MoveType = A && EnemyNear,Time <= 12 && EnemyNear,AnimTime < -7
Trigger3 = P2StateType != A && P2BodyDist X <= 120
Trigger3 = EnemyNear,Facing != Facing && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = P2StateNo != Var(14) && P2StateNo != Var(15)
Trigger3 = P2StateNo != Var(16) && P2StateNo != Var(17) && P2StateNo != Var(18) && P2StateNo != Var(19)


;スパイラルショット
[State -1]
Type = ChangeState
Value = 2000
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Power >= 1000
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = Var(53) = 1
Trigger1 = TeamMode = Simul && Enemy,TeamMode = Simul
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = P2BodyDist X > 90 && P2MoveType = A && Partner,StateNo = [5000,5071]
Trigger1 = Facing = EnemyNear,Facing && P2BodyDist X > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = Var(53) = 1
Trigger2 = TeamMode = Simul && Enemy,TeamMode = Simul
Trigger2 = StateNo = 230 && MoveHit && P2BodyDist X > 0
Trigger2 = InGuardDist
Trigger3 = TeamMode = Simul && Enemy,TeamMode = Simul
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = Helper(20000+id),Var(14) = 0
Trigger3 = StateNo = 230 && MoveHit = 5 && P2BodyDist X > 0

;ナックル
[State -1]
Type = ChangeState
Value = 1700
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = Helper(20000+id),Var(12) = 1
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger1 = P2StateType = L && P2BodyDist X <= 35 && (EnemyNear,Pos X - Pos X)*Facing > 0


;烈風撃
[State -1]
Type = ChangeState
Value = 1600
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = P2StateNo = [150,153]
Trigger1 = P2BodyDist X = [100,170]
Trigger1 = !InGuardDist
Trigger1 = !Helper(10000+id),InGuardDist
Trigger1 = !Helper(20000+id),InGuardDist
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = StateNo = 220 && MoveHit = 1
Trigger2 = PrevStateNo != 200 && PrevStateNo != 400
Trigger2 = P2StateType != A && P2MoveType = H && P2StateNo != [120,155]
Trigger2 = P2BodyDist X > 65 && Var(0) <= 6 || Target,BackEdgeBodyDist <= 5
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = StateNo = 220 && MoveGuarded = 1 && P2BodyDist X > 70 && Var(0) <= 6
Trigger3 = P2StateType != A && P2StateNo = [150,153]
Trigger4 = Enemy,TeamMode = Simul
Trigger4 = Var(59) >= Helper(10000+id),Var(0)
Trigger4 = Var(53) = 1 && Var(54) = 1
Trigger4 = StateNo = 220 && MoveHit = 1
Trigger4 = P2StateType != A && P2MoveType = H && P2StateNo != [120,155]
Trigger5 = Enemy,TeamMode = Simul
Trigger5 = Var(59) >= Helper(10000+id),Var(0)
Trigger5 = Var(30) > -2
Trigger5 = StateNo = 220 && MoveGuarded = 1 && P2StateNo = [150,153]
Trigger5 = P2StateType != A && P2BodyDist X = [30,75]

;落砕牙
[State -1]
Type = ChangeState
Value = 1500
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType = A
Trigger1 = Helper(20000+id),Var(15) = 1
Trigger1 = StateNo = 630 && MoveHit = 1
Trigger1 = P2StateType = A
Trigger2 = Helper(20000+id),Var(12) = 2
Trigger2 = Helper(20000+id),Var(4) >= 8
Trigger2 = StateNo = 50 || StateNo = [120,140]
Trigger2 = P2StateType = L && P2BodyDist X <= 60 && (EnemyNear,Pos X - Pos X)*Facing > 0


;斬鋭弾
[State -1]
Type = ChangeState
Value = 1400
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = StateNo <= 20 && Random = [140,145]
Trigger1 = P2StateType != A && P2MoveType != H
Trigger1 = P2BodyDist X <= 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = StateNo = 220 && MoveHit = 1 && P2BodyDist X > 65 && Var(0) > 6
Trigger2 = P2StateType != A
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = StateNo = 220 && MoveGuarded = 2 && P2BodyDist X = [30,70]
Trigger3 = P2StateType != A && P2StateNo = [150,153]
Trigger4 = Var(59) >= Helper(10000+id),Var(0)
Trigger4 = StateNo = 220 && MoveGuarded = 1 && P2BodyDist X > 70 && Var(0) > 6
Trigger4 = P2StateType != A && P2StateNo = [150,153]
Trigger5 = Var(59) >= Helper(10000+id),Var(0)
Trigger5 = StateNo = 230 && MoveGuarded = 1
Trigger5 = P2StateType != A && P2StateNo = [150,153]
Trigger6 = Var(59) >= Helper(10000+id),Var(0)
Trigger6 = StateNo = 420 && MoveContact = 1
Trigger6 = P2StateType != A && P2StateNo = [150,153]
Trigger7 = Var(59) >= Helper(10000+id),Var(0)
Trigger7 = Enemy,TeamMode = Simul
Trigger7 = Var(53) = 1
Trigger7 = StateNo = 220 && MoveHit = 1
Trigger7 = P2MoveType = H && P2StateNo != [120,155]
Trigger7 = PrevStateNo != 200 && PrevStateNo != 400
Trigger7 = P2StateType != A && P2BodyDist X = [35,70]
Trigger8 = Var(59) >= Helper(10000+id),Var(0)
Trigger8 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger8 = Helper(10000+id),Var(10) >= 300
Trigger8 = BackEdgeDist <= 20


;天裂刃
[State -1]
type = ChangeState
value = 1300
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = StateNo <= 20 && Random = [130,135]
Trigger1 = P2StateType = A && P2MoveType != H
Trigger1 = P2BodyDist X <= 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Helper(20000+id),Var(14) = 1
Trigger2 = StateNo = 1100 && Time >= 22
Trigger2 = P2BodyDist Y < -90
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = Var(25) = 2 || Enemy,TeamMode = Simul
Trigger3 = StateNo = 200 || StateNo = 210 || StateNo = 220 || StateNo = 400 || StateNo = 410 || StateNo = 420
Trigger3 = MoveContact && P2MoveType = A && InGuardDist && EnemyNear,Ctrl = 0
Trigger3 = P2BodyDist X <= 75 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = EnemyNear,Facing != Facing && EnemyNear,Pos Y = [-120,0]
Trigger4 = Var(59) >= Helper(10000+id),Var(0)
Trigger4 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger4 = P2StateNo = Helper(10000+id),Var(8)
Trigger4 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger4 = EnemyNear,HitDefAttr = SC,NA,SA
Trigger4 = P2BodyDist X < 50 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger4 = EnemyNear,Vel X = 0
Trigger5 = Var(59) >= Helper(10000+id),Var(0)
Trigger5 = P2StateNo = Var(9)*-1 || P2StateNo = Var(10)*-1 || P2StateNo = Var(11)*-1
Trigger5 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger5 = P2BodyDist X < 50 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger6 = Var(59) >= Helper(10000+id),Var(0)
Trigger6 = Helper(10000+id),Var(12) = 1
Trigger6 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger6 = P2MoveType = A && BackEdgeDist <= 20
Trigger7 = Var(59) >= Helper(20000+id),Var(0)
Trigger7 = Var(59) < 8
Trigger7 = StateNo = 420 && MoveHit
Trigger7 = P2MoveType = H && P2StateNo != [120,155]


;三段斬り
[State -1]
Type = ChangeState
Value = 1200
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = StateNo <= 20 && Random = [120,125]
Trigger1 = P2StateType = S && P2MoveType != H
Trigger1 = P2BodyDist X <= 70 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = StateNo = 220 && MoveHit = 1
Trigger2 = P2MoveType = H && P2StateNo != [120,155]
Trigger2 = PrevStateNo = 200 || PrevStateNo = 400
Trigger2 = P2StateType != A && P2BodyDist X <= 65 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = StateNo = 220 && MoveHit = 1
Trigger3 = P2StateType = A
Trigger3 = P2BodyDist X <= 20 || FrontEdgeBodyDist <= 70
Trigger4 = Var(59) >= Helper(10000+id),Var(0)
Trigger4 = Helper(20000+id),Var(10) = 1
Trigger4 = StateNo <= 20 || StateNo <= 52 || StateNo = [120,140]
Trigger4 = P2MoveType = H && P2StateType = A
Trigger4 = P2BodyDist X <= 60 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger4 = EnemyNear,Pos Y = [-115,0]
Trigger5 = Var(59) >= Helper(10000+id),Var(0)
Trigger5 = Enemy,TeamMode = Simul
Trigger5 = Var(53) = 1
Trigger5 = StateNo = 220 && MoveHit = 1
Trigger5 = P2MoveType = H && P2StateNo != [120,155]
Trigger5 = PrevStateNo != 200 && PrevStateNo != 400
Trigger5 = P2StateType != A && P2BodyDist X < 35
Trigger6 = Helper(20000+id),Var(14) = 1
Trigger6 = StateNo = 1100 && Time >= 20
Trigger6 = P2BodyDist Y >= -90 && EnemyNear,Vel Y = [1,4]
Trigger7 = Helper(20000+id),Var(19) = 1
Trigger7 = StateNo = 200 || StateNo = 400 || StateNo = 410
Trigger7 = MoveHit = 1 && P2MoveType = H && P2StateNo != [120,155]
Trigger7 = P2StateType != A
Trigger7 = P2BodyDist X <= 50 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger8 = TeamMode = Simul
Trigger8 = Var(58) > Var(0)
Trigger8 = Var(59) >= Helper(20000+id),Var(0)
Trigger8 = Helper(10000+id),Var(4) = 1
Trigger8 = Helper(20000+id),Var(12) = 0
Trigger8 = Helper(20000+id),Var(13) = 0
Trigger8 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger8 = P2StateType = A && P2MoveType = H && P2StateNo = [5000,5050]
Trigger8 = P2BodyDist X <= 60 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger8 = P2BodyDist Y > -80 && EnemyNear,Vel Y = [-1,1]
Trigger8 = P2StateNo != 40 && P2StateNo != 1136 && P2StateNo != [120,155]


;ダッシュ
[State -1]
Type = ChangeState
Value = 1100
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = Helper(20000+id),Var(2) = 1
Trigger1 = Helper(20000+id),Var(19) != 2
Trigger1 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = !InGuardDist
Trigger1 = !Helper(10000+id),InGuardDist
Trigger1 = !Helper(20000+id),InGuardDist
Trigger1 = P2MoveType != A && EnemyNear,Vel X <= 0 && P2BodyDist X >= 180
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger2 = StateNo = 220 && MoveHit = 1
Trigger2 = PrevStateNo != 200 && PrevStateNo != 400
Trigger2 = P2StateType != A && P2MoveType = H && P2StateNo != [120,155]
Trigger2 = P2BodyDist X <= 65 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = Enemy,TeamMode = Simul
Trigger3 = Var(53) = -1
Trigger3 = StateNo = 220 && MoveHit = 1
Trigger3 = PrevStateNo != 200 && PrevStateNo != 400
Trigger3 = P2StateType != A && P2MoveType = H && P2StateNo != [120,155]
Trigger3 = P2BodyDist X <= 65 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger4 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger4 = Var(59) >= Helper(10000+id),Var(0)
Trigger4 = StateNo = 220 && MoveHit = 1
Trigger4 = P2StateType = A && P2BodyDist X > 40
Trigger5 = Var(59) >= Helper(20000+id),Var(0)
Trigger5 = Helper(20000+id),Var(14) = 1
Trigger5 = StateNo = 230 && MoveHit > 2
Trigger6 = Var(59) >= Helper(10000+id),Var(0)
Trigger6 = Helper(20000+id),Var(12) = 1
Trigger6 = Helper(20000+id),Var(19) != 2
Trigger6 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger6 = !InGuardDist
Trigger6 = !Helper(10000+id),InGuardDist
Trigger6 = !Helper(20000+id),InGuardDist
Trigger6 = P2StateNo = 1605 && P2BodyDist X = [100,200]



;バスターショット(空中)
[State -1]
Type = ChangeState
Value = 1010
TriggerAll = RoundState = 2
TriggerAll = 0;Var(59) >= 1
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = StateType = A
Trigger1 = Ctrl
Trigger2 = StateNo = 600 && MoveContact
Trigger3 = StateNo = 610 && MoveContact
Trigger4 = StateNo = 620 && MoveContact
Trigger5 = StateNo = 630 && MoveContact


;バスターショット
[State -1]
Type = ChangeState
Value = 1000
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0) || Random < 100
Trigger1 = Helper(20000+id),Var(2) = 2
Trigger1 = Var(31) >= 0 || Var(31) = -1 && EnemyNear,Power < 1000
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = !InGuardDist
Trigger1 = !Helper(10000+id),InGuardDist
Trigger1 = !Helper(20000+id),InGuardDist



;挑発
[State -1]
Type = ChangeState
Value = 195
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
TriggerAll = StateNo <= 20 || StateNo = 100
Trigger1 = Helper(20000+id),Var(19) = 2
Trigger1 = P2BodyDist X >= 140 && P2StateType = L


;投げ
[State -1]
Type = ChangeState
Value = 700
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = Var(59) >= Helper(20000+id),Var(0)
Trigger1 = EnemyNear,Power >= Var(2)
Trigger1 = Helper(10000+id),Var(4) = 1
Trigger1 = PrevStateNo != 700
Trigger1 = P2StateType = S || P2StateType = C
Trigger1 = P2StateNo <= 104 || P2MoveType = I && EnemyNear,Vel X = 0 || EnemyNear,HitDefAttr = SC,NA && EnemyNear,Vel X = 0
Trigger1 = P2BodyDist X <= 13 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger1 = EnemyNear,Vel X >= 0
Trigger1 = P2StateNo != Var(14) && P2StateNo != Var(15)
Trigger1 = P2StateNo != Var(16) && P2StateNo != Var(17) && P2StateNo != Var(18)


;切り上げ
[State -1]
Type = ChangeState
Value = 230
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = StateNo <= 20 && Random = [110,115]
Trigger1 = P2StateType != A && P2MoveType != H
Trigger1 = P2BodyDist X = [50,100]
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = StateNo = 220 && MoveHit = 1
Trigger2 = P2StateType = A && P2BodyDist X <= 40 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = P2BodyDist X > 20 && FrontEdgeBodyDist > 70
Trigger3 = Enemy,TeamMode = Single || Enemy,TeamMode = Turns
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = Var(30) > -2
Trigger3 = StateNo = 220 && MoveGuarded = 1 && P2StateNo = [150,153]
Trigger3 = P2StateType != A && P2BodyDist X = [30,75]
Trigger4 = Var(59) >= Helper(10000+id),Var(0)
Trigger4 = Helper(20000+id),Var(13) = 1
Trigger4 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger5 = Var(59) >= Helper(10000+id),Var(0)
Trigger5 = Helper(20000+id),Var(13) = 2
Trigger5 = StateNo = 100 && Time > 7
Trigger6 = Var(59) >= Helper(10000+id),Var(0)
Trigger6 = Helper(20000+id),Var(13) = 2
Trigger6 = StateNo = 220 && MoveHit = 1
Trigger6 = P2StateType = A && P2MoveType = H && P2BodyDist X <= 90
Trigger7 = Var(59) >= Helper(10000+id),Var(0)
Trigger7 = Helper(20000+id),Var(18) = 1
Trigger7 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]


;足払い
[State -1]
Type = ChangeState
Value = 430
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = Var(59) >= Var(0)
Trigger1 = StateNo <= 20 && Random = [100,105]
Trigger1 = P2StateType = S && P2MoveType != H
Trigger1 = P2BodyDist X <= 70 && (EnemyNear,Pos X - Pos X)*Facing > 0


;空中下切り
[State -1]
Type = ChangeState
Value = 630
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType = A
Trigger1 = Var(26) >= 0
Trigger1 = Helper(20000+id),Var(1) = 2
Trigger1 = StateNo >= 48 && StateNo <= 51 || StateNo = [120,140]
Trigger1 = Helper(20000+id),Var(4) >= IfElse(Var(1) = 1,7,13)
Trigger1 = P2StateType != A && P2BodyDist X <= 80
Trigger2 = Var(1) = 1 && Helper(20000+id),Var(3) = 2
Trigger2 = StateNo >= 48 && StateNo <= 51 || StateNo = [120,140]
Trigger2 = Helper(20000+id),Var(4) >= 13
Trigger2 = P2StateType != A
Trigger3 = Var(59) >= Helper(20000+id),Var(0)
Trigger3 = StateNo = 620 && MoveContact

;スライディング
[State -1]
Type = ChangeState
Value = 415
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = Var(59) >= Helper(10000+id),Var(0)
TriggerAll = StateType != A
TriggerAll = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger1 = Var(27) > -2
Trigger1 = Var(29) >= 0 || Var(29) = -1 && EnemyNear,Power < 1000
Trigger1 = Helper(10000+id),Var(21) = 1
Trigger1 = Helper(20000+id),Var(1) = 3
Trigger1 = P2StateType = S || P2StateType = C
Trigger1 = P2MoveType = I || P2MoveType = H && P2StateNo = [5000,5011]
Trigger1 = P2BodyDist X = [111,125]
Trigger1 = EnemyNear,Vel X >= 0
Trigger2 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger2 = P2StateNo = Helper(10000+id),Var(8)
Trigger2 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger2 = EnemyNear,HitDefAttr = SC,NA,SA
Trigger2 = EnemyNear,AnimTime <= -15
Trigger2 = P2BodyDist X = [91,150]
Trigger2 = EnemyNear,Vel X = 0
Trigger3 = P2StateNo = Var(9)*-1 || P2StateNo = Var(10)*-1 || P2StateNo = Var(11)*-1
Trigger3 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger3 = P2BodyDist X = [91,150]


;立ちパンチ
[State -1]
Type = ChangeState
Value = 200
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = Var(59) >= Var(0)
Trigger1 = StateNo <= 20 && Random = [15,20]
Trigger1 = P2StateType != A && P2MoveType != H
Trigger1 = P2BodyDist X <= 50 && (EnemyNear,Pos X - Pos X)*Facing > 0

;立ちキック
[State -1]
Type = ChangeState
Value = 210
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = Var(59) >= Var(0)
Trigger1 = StateNo <= 20 && Random = [0,10]
Trigger1 = P2StateType != A && P2MoveType != H
Trigger1 = P2BodyDist X <= 50 && (EnemyNear,Pos X - Pos X)*Facing > 0


;立ち切り
[State -1]
Type = ChangeState
Value = 220
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) < 5
Trigger1 = Var(59) >= Var(0)
Trigger1 = StateNo <= 20 && Random = [0,5]
Trigger1 = P2StateType != A && P2MoveType != H
Trigger1 = P2BodyDist X <= 100 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger2 = Helper(20000+id),Var(11) = 1
Trigger2 = P2BodyDist X = [30,90]
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = StateNo = 200 && MoveHit = 1
Trigger4 = Var(58) > Var(0)
Trigger4 = Var(59) >= Helper(20000+id),Var(0)
Trigger4 = Var(28) >= 0 || Var(28) = -1 && EnemyNear,Power < 1000 || Var(27) = -2 && Var(28) = -2
Trigger4 = Helper(10000+id),Var(4) = 1
Trigger4 = Helper(10000+id),Var(21) = 1
Trigger4 = Helper(20000+id),Var(12) = 0
Trigger4 = Helper(20000+id),Var(13) = 0
Trigger4 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger4 = P2StateNo <= 104 || P2MoveType = H || P2MoveType = I && EnemyNear,Vel X = 0
Trigger4 = P2StateType != A && P2StateType != L && P2BodyDist X = [45+(Var(27)=-2&&Var(28)=-2)*35,90]
Trigger4 = P2StateNo != 40 && P2StateNo != 1136
Trigger5 = Var(58) > Var(0)
Trigger5 = Var(59) >= Helper(20000+id),Var(0)
Trigger5 = Helper(10000+id),Var(4) = 1
Trigger5 = Helper(20000+id),Var(12) = 0
Trigger5 = Helper(20000+id),Var(13) = 0
Trigger5 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger5 = Facing = EnemyNear,Facing || TeamMode = Simul && P2MoveType = H && P2StateNo = [5000,5050]
Trigger5 = P2StateType != A && P2StateType != L && P2BodyDist X = [45,90]
Trigger5 = P2StateNo != 40 && P2StateNo != 1136 && P2StateNo != [120,155]
Trigger6 = Var(59) >= Helper(10000+id),Var(0)
Trigger6 = StateNo = 400 && MoveHit = 1
Trigger7 = Var(59) >= Helper(10000+id),Var(0)
Trigger7 = StateNo = 410 && MoveContact = 1
Trigger8 = Var(59) >= Helper(10000+id),Var(0)
Trigger8 = Helper(20000+id),Var(13) = 2
Trigger8 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger8 = EnemyNear,Anim = 1205
Trigger8 = P2StateType != L && P2BodyDist X <= 90
Trigger9 = Helper(20000+id),Var(17) = 3
Trigger9 = StateNo <= 20 && Time > 2
Trigger9 = P2MoveType = H
Trigger10 = Var(59) >= Helper(10000+id),Var(0)
Trigger10 = EnemyNear,Power >= Helper(10000+id),Var(2)
Trigger10 = P2StateNo = Helper(10000+id),Var(8)
Trigger10 = StateNo <= 20 || StateNo = 52 || StateNo = [120,140]
Trigger10 = EnemyNear,HitDefAttr = SC,NA,SA
Trigger10 = EnemyNear,AnimTime <= -15
Trigger10 = P2BodyDist X = [50,90]
Trigger10 = EnemyNear,Vel X = 0
Trigger11 = Var(59) >= Helper(10000+id),Var(0)
Trigger11 = P2StateNo = Var(9)*-1 || P2StateNo = Var(10)*-1 || P2StateNo = Var(11)*-1
Trigger11 = StateNo <= 20 || StateNo = 52 || StateNo = [120,132]
Trigger11 = P2BodyDist X = [50,90]


;しゃがみパンチ
[State -1]
Type = ChangeState
Value = 400
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) >= Helper(10000+id),Var(0)
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger1 = Helper(20000+id),Var(11) = 1
Trigger1 = P2BodyDist X <= 25 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(58) > Var(0)
Trigger2 = Var(59) >= Helper(20000+id),Var(0)
Trigger2 = Var(27) >= 0 || Var(27) = -1 && EnemyNear,Power < 1000 || Var(27) = -2 && Var(28) = -2
Trigger2 = Helper(10000+id),Var(4) = 1
Trigger2 = Helper(10000+id),Var(21) = 1
Trigger2 = Helper(20000+id),Var(12) = 0
Trigger2 = Helper(20000+id),Var(13) = 0
Trigger2 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger2 = P2StateNo <= 104 || P2MoveType = H || P2MoveType = I && EnemyNear,Vel X = 0
Trigger2 = P2StateType != A && P2StateType != L && P2StateNo != 1136
Trigger2 = P2BodyDist X <= 25 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = P2StateNo != 40 && P2StateNo != 1136
Trigger3 = Var(58) > Var(0)
Trigger3 = Var(59) >= Helper(20000+id),Var(0)
Trigger3 = Helper(10000+id),Var(4) = 1
Trigger3 = Helper(20000+id),Var(12) = 0
Trigger3 = Helper(20000+id),Var(13) = 0
Trigger3 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger3 = Facing = EnemyNear,Facing || TeamMode = Simul && P2MoveType = H
Trigger3 = P2StateType != A && P2StateType != L
Trigger3 = P2BodyDist X <= 25 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = P2StateNo != 40 && P2StateNo != 1136 && P2StateNo != [120,155]


;しゃがみキック
[State -1]
Type = ChangeState
Value = 410
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(58) > Var(0)
Trigger1 = Var(59) >= Helper(20000+id),Var(0)
Trigger1 = Var(27) >= 0 || Var(27) = -1 && EnemyNear,Power < 1000 || Var(27) = -2 && Var(28) = -2
Trigger1 = Helper(10000+id),Var(4) = 1
Trigger1 = Helper(10000+id),Var(21) = 1
Trigger1 = Helper(20000+id),Var(12) = 0
Trigger1 = Helper(20000+id),Var(13) = 0
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger1 = P2StateNo <= 104 || P2MoveType = H || P2MoveType = I && EnemyNear,Vel X = 0
Trigger1 = P2StateType != A && P2StateType != L && P2BodyDist X = [25,45]
Trigger1 = P2StateNo != 40 && P2StateNo != 1136
Trigger2 = Var(58) > Var(0)
Trigger2 = Var(59) >= Helper(20000+id),Var(0)
Trigger2 = Helper(10000+id),Var(4) = 1
Trigger2 = Helper(20000+id),Var(12) = 0
Trigger2 = Helper(20000+id),Var(13) = 0
Trigger2 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger2 = Facing = EnemyNear,Facing || TeamMode = Simul && P2MoveType = H
Trigger2 = P2StateType != A && P2StateType != L && P2BodyDist X = [25,45]
Trigger2 = P2StateNo != 40 && P2StateNo != 1136 && P2StateNo != [120,155]
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = StateNo = 400 && MoveGuarded = 1


;しゃがみ切り
[State -1]
Type = ChangeState
Value = 420
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType != A
Trigger1 = Var(59) > Helper(20000+id),Var(0)
Trigger1 = Helper(10000+id),Var(21) = 1
Trigger1 = Helper(20000+id),Var(10) = 0
Trigger1 = Helper(20000+id),Var(13) = 0
Trigger1 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger1 = P2StateType = A && EnemyNear,Facing != Facing
Trigger1 = P2MoveType != A || EnemyNear,HitDefAttr = A,NA
Trigger1 = EnemyNear,Vel X >= 0 && EnemyNear,Vel Y > 0 && EnemyNear,Pos Y = [-130,-90+(P2MoveType != A)*40]
Trigger1 = P2BodyDist X <= 30+(EnemyNear,Vel X)*5 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger2 = Var(59) >= Helper(10000+id),Var(0)
Trigger2 = Helper(20000+id),Var(11) = 2
Trigger2 = StateNo <= 20 || StateNo = 52 || StateNo = 100 || StateNo = [120,140]
Trigger2 = P2StateType = A && P2BodyDist X = [-30,30]
Trigger3 = Var(59) >= Helper(10000+id),Var(0)
Trigger3 = StateNo = 220 && MoveGuarded = 1
Trigger3 = P2BodyDist X < 30 && (EnemyNear,Pos X - Pos X)*Facing > 0
Trigger3 = P2StateType != A && P2StateNo = [150,153]

;空中切り
[State -1]
Type = ChangeState
Value = 620
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType = A
Trigger1 = Helper(20000+id),Var(1) = 2
Trigger1 = StateNo >= 48 && StateNo <= 51 || StateNo = [120,140]
Trigger1 = Pos Y - EnemyNear,Pos Y = [-60,90]
Trigger1 = P2StateType = A && P2BodyDist X = [-20,80]
Trigger2 = Var(26) >= 0
Trigger2 = Helper(10000+id),Var(11) <= 0
Trigger2 = Helper(20000+id),Var(1) = 2
Trigger2 = Helper(20000+id),Var(4) >= 7
Trigger2 = StateNo >= 48 && StateNo <= 51 || StateNo = [120,140]
Trigger2 = P2StateType != A && P2BodyDist X <= 80
Trigger3 = Helper(20000+id),Var(3) = 1
Trigger3 = StateNo >= 48 && StateNo <= 51 || StateNo = [120,140]
Trigger3 = Pos X - EnemyNear,Pos X = [-30,30]
Trigger3 = P2StateType != A
Trigger4 = Helper(20000+id),Var(15) = 1
Trigger4 = StateNo = 50 || StateNo = [120,140]
Trigger4 = P2StateType = A && P2MoveType = H && P2BodyDist Y <= 0
Trigger5 = Helper(20000+id),Var(16) = 1
Trigger5 = Helper(20000+id),Var(4) >= 10
Trigger5 = StateNo = 50 || StateNo = [120,140]
Trigger5 = P2StateType = A && P2MoveType = H && P2BodyDist Y <= 0
Trigger6 = Helper(20000+id),Var(17) = 1
Trigger6 = Helper(20000+id),Var(4) >= 11
Trigger6 = StateNo = 48 || StateNo = [120,140]
Trigger6 = P2StateType = A && P2MoveType = H


;空中切り(2段目)
[State -1]
Type = ChangeState
Value = 625
TriggerAll = RoundState = 2
TriggerAll = Var(59) >= 1
TriggerAll = StateType = A
Trigger1 = Helper(20000+id),Var(3) = 1
Trigger1 = StateNo = 620 && Time >= 8

